/*
*/

#ifndef __H_HASH__
#define __H_HASH__

#include "defs.h"

BEGIN_DECLS

/** @file
 * A collection of hash functions.
 */


/**
 * this is the SDBM hash function from:
 * http://en.literateprograms.org/Hash_function_comparison_%28C,_sh%29
 */
hash_t sdbm_hash (const unsigned char *key);


/**
 * what hash function s_hash is defined to.
 */
#define s_hash(k) sdbm_hash(k)


END_DECLS

#endif
