#include "SimpleTypeSystem.h"

int main (char ** argc, int argv) {
  
  SError * e = s_error_new (S_ERROR_NONE, "Nothing at all...");
  char * s = s_base_object_to_string (e);
  
  s_print (s);
  s_print ("\n");

  free (s);

  s_base_object_unref (e);
  
  e = s_error_new (S_ERROR_INPUT_OUTPUT, "Generic I/O Error...");
  s = s_base_object_to_string (e);
  
  s_print (s);
  s_print ("\n");
  
  free (s);
  
  s_base_object_unref (e);
  
  e = s_error_new (S_ERROR_OVERFLOW, "A Generic overflow error...");
  s = s_base_object_to_string (e);
  
  s_print (s);
  s_print ("\n");
  
  free (s);
  
  s_base_object_unref (e);
  
  e = s_error_new (S_ERROR_OTHER, "Some unknowned error type...");
  s = s_base_object_to_string (e);
  
  s_print (s);
  s_print ("\n");
  
  free (s);
  
  s_base_object_unref (e);
  
  
  e = s_error_new (S_ERROR_NULL, "A NULL error...");
  s = s_base_object_to_string (e);
  
  s_print (s);
  s_print ("\n");
  
  free (s);
  
  s_base_object_unref (e);

  return 0;
}
